---
search:
  exclude: true
---
# matrix Setup 

![](0.png)

In this tutorial we're going to look at how to setup a matrix chat server 

## **Initial Setup**
    
    
    apt update -y ; apt ugprade -y ; apt autoremove -y 
    
    apt install sudo -y
    
    sudo apt install -y lsb-release wget apt-transport-https
    sudo wget -O /usr/share/keyrings/matrix-org-archive-keyring.gpg https://packages.matrix.org/debian/matrix-org-archive-keyring.gpg
    echo "deb [signed-by=/usr/share/keyrings/matrix-org-archive-keyring.gpg] https://packages.matrix.org/debian/ $(lsb_release -cs) main" |
    sudo tee /etc/apt/sources.list.d/matrix-org.list
    sudo apt update -y
    sudo apt install matrix-synapse-py3 -y
    
    

![](1.png) ![](2.png)
    
    
    root@matrix:~# vim /etc/matrix-synapse/homeserver.yaml
    root@matrix:~# cat /etc/matrix-synapse/homeserver.yaml
    # Configuration file for Synapse.
    #
    # This is a YAML file: see [1] for a quick introduction. Note in particular
    # that *indentation is important*: all the elements of a list or dictionary
    # should have the same indentation.
    #
    # [1] https://docs.ansible.com/ansible/latest/reference_appendices/YAMLSyntax.html
    #
    # For more information on how to configure Synapse, including a complete accounting of
    # each option, go to docs/usage/configuration/config_documentation.md or
    # https://matrix-org.github.io/synapse/latest/usage/configuration/config_documentation.html
    #
    # This is set in /etc/matrix-synapse/conf.d/server_name.yaml for Debian installations.
    # server_name: "SERVERNAME"
    pid_file: "/var/run/matrix-synapse.pid"
    listeners:
      - port: 8008
        tls: false
        type: http
        x_forwarded: true
        bind_addresses: ['::1', '127.0.0.1','10.0.0.104']
        resources:
          - names: [client, federation]
            compress: false
    database:
      name: sqlite3
      args:
        database: /var/lib/matrix-synapse/homeserver.db
    log_config: "/etc/matrix-synapse/log.yaml"
    media_store_path: /var/lib/matrix-synapse/media
    signing_key_path: "/etc/matrix-synapse/homeserver.signing.key"
    trusted_key_servers:
      - server_name: "matrix.org"
    	
    
    

Then test if you can reach your matrix server via web on port 8008:

![](2.png)

![]()
    
    
    	
    

## **Setup**

![]()
    
    
    	
    

![]()
    
    
    	
    

![]()
    
    
    	
    

## **Setup**
    
    
    	
    
    
    
    	
    
    
    
    	
    

